## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csTypedObjectIterator< T > Class Template Reference

Typed object iterator class. More...

`#include <csutil/objiter.h>`

List of all members.

## Public Member Functions

| csTypedObjectIterator (iObject *parent)
| Constructor.
T * | FindName (const char *name)
| Find the object with the given name.
iObject * | GetParentObj () const
| Get the parent object.
bool | HasNext () const
| Check if we have any children of requested type.
T * | Next ()
| Move forward.
void | Reset ()
| Reset the iterator to the beginning.
| ~csTypedObjectIterator ()
| Destructor.

## Protected Member Functions

void | FetchObject ()

## Protected Attributes

csRef< T > | CurrentTypedObject
csRef< iObjectIterator > | iter

## Detailed Description

### template<typename T>
class csTypedObjectIterator< T >

Typed object iterator class.

Definition at line 35 of file objiter.h.

## Constructor & Destructor Documentation

template<typename T>
csTypedObjectIterator< T >::csTypedObjectIterator | ( | iObject * | parent | ) | `[inline]`

| Constructor. Definition at line 54 of file objiter.h. References iObject::GetIterator().

template<typename T>
csTypedObjectIterator< T >::~csTypedObjectIterator | ( |  | ) | `[inline]`

| Destructor. Definition at line 61 of file objiter.h.

## Member Function Documentation

template<typename T>
T* csTypedObjectIterator< T >::FindName | ( | const char * | name | ) | `[inline]`

| Find the object with the given name. Definition at line 81 of file objiter.h.

template<typename T>
iObject* csTypedObjectIterator< T >::GetParentObj | ( |  | ) | const`[inline]`

| Get the parent object. Definition at line 75 of file objiter.h.

template<typename T>
bool csTypedObjectIterator< T >::HasNext | ( |  | ) | const`[inline]`

| Check if we have any children of requested type. Definition at line 78 of file objiter.h.

template<typename T>
T* csTypedObjectIterator< T >::Next | ( |  | ) | `[inline]`

| Move forward. Definition at line 64 of file objiter.h.

template<typename T>
void csTypedObjectIterator< T >::Reset | ( |  | ) | `[inline]`

| Reset the iterator to the beginning. Definition at line 72 of file objiter.h.

The documentation for this class was generated from the following file:

- csutil/objiter.h